if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
local config = {}
local path = "Interface\\Addons\\TidyPlates_Grid\\Media"
local font = "FONTS\\ARIALN.TTF";

config.healthborder = {
	texture		 =				path.."\\GS_Border.tga",
	width = 24,
	height = 24,
	x = 0,
	y = 0,
	anchor = "CENTER",
    show = true,
}

config.threatborder = {
	texture = path.."\\GS_Border.tga",
	width = 24,
	height = 24,
	x = 0,
	y = 0,
	anchor = "CENTER",
    show = false,
}

config.name = {
	typeface = font,
	size = 6,
	width = 20,
	height = 10,
	x = 1,
	y = 2,
	align = "CENTER",
	anchor = "CENTER",
	vertical = "CENTER",
	shadow = true,
    show = true,
}

config.level = {
	typeface = font,
	size = 9,
	width = 24,
	height = 9,
	x = -1,
	y = -1,
	align = "RIGHT",
	anchor = "TOPRIGHT",
	vertical = "BOTTOM",
	shadow = true,
    show = false,
}

config.healthbar = {
	texture =					 path.."\\GS_Bar.tga",
	height = 24,
	width = 24,
	x = 0,
	y = 0,
	anchor = "CENTER",
	orientation = "VERTICAL",
    show = true,
}

config.castbar = {
	texture =					path.."\\GS_Cast_Bar.tga",
	height = 8,
	width = 16,
	x = 8,
	y = -16,
	anchor = "TOPLEFT",
	orientation = "HORIZONTAL",
    show = true,
}

config.castnostop = {
	texture =					path.."\\GS_Cast_Border.tga",
	height = 8,
	width = 24,
	x = 0,
	y = -16,
	anchor = "TOPLEFT",
    orientation = "HORIZONTAL",
    show = true,
}

config.castborder = {
	texture =					path.."\\GS_Cast_Border.tga",	
	height = 8,
    width = 24,
	x = 0,
	y = -16,
	anchor = "TOPLEFT",
    orientation = "HORIZONTAL",
    show = true,
}

config.specialText = {
	typeface =					font,
	size = 9,
	width = 24,
	height = 9,
	x = 0,
	y = 0,
	align = "RIGHT",
	anchor = "BOTTOMRIGHT",
	vertical = "TOP",
    show = false,
}

config.spellicon = {
	width = 8,
	height = 8,
	x = 0,
	y = -16,
	anchor = "TOPLEFT",
    show = true,
}

config.eliteicon = {
	texture 				= path.."\\GS_Cast_Border.tga",
	width = 10,
	height = 10,
	x = -21,
	y = 2,
	anchor = "RIGHT",
	show = false,
}

config.skullicon = {
	width = 14,
	height = 14,
	x = -7,
	y = 2,
	anchor = "RIGHT",
	show = false,
}

config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 12,
	anchor = "TOP",
    show = true
}

config.frame = {
	width = 24,
	height = 10,
    x = 0,
	y = 0,
}



config.hitbox = {height = 26, width = 10}



config.threatcolor = {
	LOW = { r = .75, g = 1, b = 0, a= 1, },
	MEDIUM = { r = 1, g = 1, b = 0, a = 1, },
	HIGH = { r = 1, g = 0, b = 0, a = 1, },
}


-- For new version
if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["Grid"] = config





